Description

Request

Use-Case: I want to send a string (path of a file) as a command line parameter for batch processing of some files in ADTF

Environment.

In the ADTF Environment I am reading some .MAT files and process them.

String parameters allow me to send the path and name of the files that are needed to be read and processed (for batch

processing).

Solution

To process .mat MATLAB files in ADTF you need to install the MLSLBlockset Toolbox and convert .MAT to .DAT files.

There is an example included which will help you: examples/MAT2DAT/Example_MAT2DAT.m

(MLSLBlockset Doc: 6.4 Creation of an ADTF DAT File and its related DDL file from MATLAB data)

It is not possible to extend the options which used for e.g. CMD: adtf_devenv.exe -YOUR_OPTION.

History

#1 - 2017-02-22 14:01 - hidden

- Project changed from Public Support to 5

- Status changed from New to Customer Feedback Required

Hello Venkata Rama Prasad,

to process .mat MATLAB files in ADTF you need to install the MLSLBlockset Toolbox and convert .MAT to .DAT files.

There is an example included which will help you: examples/MAT2DAT/Example_MAT2DAT.m

(MLSLBlockset Doc: 6.4 Creation of an ADTF DAT File and its related DDL file from MATLAB data)

It is not possible to extend the options which used for e.g. CMD: adtf_devenv.exe -YOUR_OPTION.

You can use those .DAT files to create a DAT Playlist (ADTF Manual: 1.11 DAT Playlist) and process this list via CMD e.g.:

adtf_devenv.exe -project="c:\test.prj" -playlist="c:\example.datpls" 

-active="active_configuration" -run

 Do have any further questions about this topic?

#2 - 2017-02-22 16:48 - hidden

- Topic set to MLSLBlockset::MAT2DAT

#3 - 2017-02-27 09:54 - hidden

Support:

Please give us your feedback about this issue, otherwise we will close this ticket tomorrow (28.02.2017).
#4 - 2017-03-01 14:49 - hidden

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Resolution set to Solved Issue

No Feedback, ticket can be closed.

@Florian, Ticket kann geschlossen werden.

#5 - 2017-03-02 12:50 - hidden

- Status changed from To Be Closed to Closed

#6 - 2018-01-25 11:52 - hidden

- Project changed from 5 to Public Support

- Private changed from Yes to No

Powered by TCPDF (www.tcpdf.org)

2024-04-28 2/2

http://www.tcpdf.org

